Package org.eclipse.mat.parser.internal.snapshot

# Class ObjectCache<E>

java.lang.Object
org.eclipse.mat.parser.internal.snapshot.ObjectCache<E>

public abstract class ObjectCache<E> extends Object

## Constructor Summary

Constructors
Constructor
Description
`ObjectCache(int maxSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`E`
`get(int objectId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectCache

public ObjectCache(int maxSize)

## Method Details

### get

public E get(int objectId)

### clear

public void clear()